package org.communiquons.android.comunic.client.data.enums;

/**
 * Notifications elements type
 *
 * @author Pierre HUBERT
 * Created by pierre on 4/9/18.
 */

public enum NotifElemType {

    /**
     * On a post
     */
    POST,

    /**
     * On a conversation
     */
    CONVERSATION,

    /**
     * On a conversation message
     */
    CONVERSATION_MESSAGE,

    /**
     * On a user page
     */
    USER_PAGE,

    /**
     * On a group page
     */
    GROUP_PAGE,

    /**
     * On a comment
     */
    COMMENT,

    /**
     * On a friendship request
     */
    FRIEND_REQUEST,

    /**
     * Notifications related to group memberships
     */
    GROUPS_MEMBERSHIP,

    /**
     * Unknown type
     */
    UNKNOWN

}
